{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load widget_tweaks %}
{% load render_bundle from webpack_loader %}
{% load static %}
{% render_bundle 'main' 'css' %}
{% block content %}
{% if envoi %}Votre message a bien été envoyé !{% endif %}
<h1>Projet</h1>
{% if projet.cloture  ==  None %}
    <a href="{% url 'projet:cloturer' projet.id %}" class='btn btn-light'>Cloturer</a>
{% endif %}
<div class='row mt-5'>
    <div class='col-12 text-center card border-grey border-left-0 border-right-0'>
        <h2>Données du projet</h2>
        <form action="" method="post">
            {% csrf_token %}
            {{ form | crispy }}
            <input class='btn btn-warning' type="submit" value="Editer" />
        </form>
    </div>
</div>
<div class='row mt-5'>
    <div class='col-12 text-center card border-grey border-left-0 border-right-0'>
        <h2>Commandes</h2>
        <div class="row">
            <div class="col-4">&#x25B6; Nombre de DJ vendues : <span class="badge badge-light mx-2">{{dj_vendues}}</span> <small>1/2 journées</small></div>
            <div class="col-4">&#x25B6; Dont DJ hors site : <span class="badge badge-light mx-2">{{dj_vendues}}</span> <small>1/2 journées</small></div>
            <div class="col-4">&#x25B6; CA Vendu : <span class="badge badge-light mx-2">{{ca_vendu}} €</span></div>
        </div>
        
        {% for couple in commandes_missions %}
        <div>
            <div class="row"><h3>Commande n°{{couple.0.numero}} : </h3></div>
            <div class='row'>Montant HT de la commande :  <span class='badge badge-info mx-2'>{{couple.2}} €</span></div> 

            <button class="btn btn-outline-success add-form-row">
                <i class="fas fa-plus-square"></i> 
                Ajouter une mission à la commande n° {{couple.0.numero}}
            </button>
            </br>
            <form class="form-horizontal" method="POST" action="{% url 'projet:editCommande' projet.id couple.0.id %}">
                {% csrf_token %}
                {{ couple.1.management_form }}
                {% for mission in couple.1 %}
                <div class='form-row'>
                    {{mission | crispy}}
                    <button class='btn btn-outline-danger remove-form-row m2'><i class="fas fa-trash"></i></button>
                </div>
                {% endfor %}
                <div class="row spacer">
                    <div class="col-4">
                        <small class='text-muted'>Merci de ne pas laisser de mission vide.</small>
                        <button type="submit" class="btn btn-block btn-outline-primary">
                            <i class="fas fa-save"></i>
                            Enregistrer les missions de la commande n° {{couple.0.numero}}
                        </button>
                    </div>
                </div>
            </form>
        </div>
        {% endfor %}
        <div id="createCommandeDiv">
            <h3>Nouvelle commande</h3>
            <form class="form-horizontal" method="POST" action="{% url 'projet:newCommande' projet.id %}">
                {% csrf_token %}
                {{newCommande | crispy}}
                <button type="submit" class="btn btn-outline-success">Enregistrer la commande</button>
            </form>
            <button id="cancelCreateCommande" class="btn btn-outline-danger">Annuler</button>
        </div>
        </br>
        <button id="createCommandeBtn" class="btn btn-outline-success m-4" type="button">Ajouter une commande</button>
    </div>
</div>

<div class='row my-5'>
    <div class='col-12 text-center card border-grey border-left-0 border-right-0'>
        <h2>Plan de charge</h2>
        <div id="react-app"></div>
        <!-- Webpack rendered JS -->
        {% render_bundle 'main' 'js' %}
    </div>
</div>
<div class='row mt-5'>
    <div class='col-12 text-center card border-grey border-left-0 border-right-0'>
        <h2>Facturation</h2>
        <button id='add-form-facturation' class="btn btn-block btn-outline-success">
            <i class="fas fa-plus-square"></i> 
            Ajouter une facture
        </button>
        <form class='form-horizontal' method="POST" action="{ url 'facturation:enregistrer' projet.id}">
            {% csrf_token %}
            {% for facture in factures_formset %}
                <div class='form-row'>
                    {{facture | crispy}}
                    <button class='btn btn-outline-danger remove-form-row m2'><i class="fas fa-trash"></i></button>
                </div>
            {% endfor %}
            <button type='submit' class='btn btn-outline-primary'><i class="fas fa-save"></i> Enregistrer la facturation</button>
            </br>
            <small class='text-muted'>Merci de ne pas laisser de facture vide.</small>
        </form>
    </div>
</div>
<div class='row mt-5'>
    <div class='col-12 text-center card border-grey border-left-0 border-right-0'>
        <h2>Chiffre d'affaire</h2>
    </div>
</div>

<script src="{% static 'assets/js/projets_script/gestion_commandes.js' %}" type='text/javascript'></script>
<script src="{% static 'assets/js/projets_script/gestion_factures.js' %}" type='text/javascript'></script>
{% endblock %}
